/**
 * Title:        GridSim Toolkit
 * Version:      GridSim  1.0, 12/09/2001
 * Description:  GridSim (Grid Simulation) Toolkit for Modeling and Simulation of
 *               Parallel and Distributed Systems such as Clusters and Grids
 * Authors:      Manzur Murshed and Rajkumar Buyya
 *               Monash University, Melbourne, Australia
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */

package gridsim;
import java.util.*;
import java.io.*;
import eduni.simjava.*;

/**
 * A list of Processing Elements.
 */
public class PEList extends LinkedList
{
  public PEList() {
    super();
  }

  public int GetMIPSRating(int id) {
    for(int i = 0; i < this.size(); i++) {
      PE p = (PE) this.get(i);
      if(p.GetID() == id)
        return p.GetMIPSRating();
    }

    return -1; // no PE with given id
  }

  public int ByteSize() {
    return size() * PE.ByteSize();
  }
}
