/**
 * Title:        GridSim Toolkit
 * Version:      GridSim  1.0, 12/09/2001
 * Description:  GridSim (Grid Simulation) Toolkit for Modeling and Simulation of
 *               Parallel and Distributed Systems such as Clusters and Grids
 * Authors:      Manzur Murshed and Rajkumar Buyya
 *               Monash University, Melbourne, Australia
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */

package gridsim;
import eduni.simjava.*;

/**
 * This class creates a new Sim_predicate to evaluate whether an event is
 * coming through a specific port.
 */
public class Sim_from_port extends Sim_predicate
{
  private Sim_port port;

  public Sim_from_port(Sim_port port)
  {
    super();
    this.port = port;
  }

  public boolean match(Sim_event event)
  {
    return event.from_port(port);
  }
}
